Confused about .Net framework versions

Toshiba / Satellite a100
October 14, 2010 at 22:28:55
Specs: Windows XP SP2, Intel core duo / 1GB
I have a Toshiba satellite A20 laptop for which I had to reinstall the operating system recently using the recovery disks provided. I understand that now my version of microsoft .Net Framework is v 1.1 because maybe that was the factory default settings. I have a problem with installing worldwide telescope with this version of .Net Framework. It prompt me to install . Net Framework v2.0 I don't have a clue about these .Net jargon.I just installed v2.0 my question is did I have to uninstall .NET Framework v1.1 before installing .NET framework v2.0? Because now I see both versions in add or remove programs.

See More: Confused about .Net framework versions

Report •

#1
October 14, 2010 at 22:43:22
What you are seeing is normal. .NET framework v2.0 does not replace .NET framework v1.1. You should keep both.


Report •

#2
October 14, 2010 at 22:47:24
Thanks for the information. These .Net frameworks should be updated by the windows am I right? I do not have to update them manually. I noticed there is a newer version of .net framework should I install it or just leave it for windows to update them?

Report •

#3
October 15, 2010 at 05:41:40
Updates for any .NET versions you have installed will be a part of Windows update. But there is also .NET versions 3.0 and 3.5 which are optional in Windows Update. You will have to select these manually if desired.

Report •
Related Solutions


Ask Question